#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        This lib provides crypto for mails
Name:           libkleo
Version: 20.12.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros
BuildRequires:  boost-devel
BuildRequires:  gpgme-devel >= 1.7.1

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5PimTextEdit)
BuildRequires:  cmake(KF5ItemModels)


%description
This lib provides crypto for mails.

%files -f %name.lang
%_kf5_sysconfdir/xdg/libkleopatrarc
%_kf5_categoriesdir/libkleo.categories
%_kf5_categoriesdir/libkleo.renamecategories
%_kf5_datadir/libkleopatra

#--------------------------------------------------------------------

%define kf5libkleo_major 5
%define libkf5libkleo %mklibname kf5libkleo %{kf5libkleo_major}

%package -n %libkf5libkleo
Summary:        This lib provides crypto for mails
Group:          System/Libraries
Requires:       %name >= %version-%release

Obsoletes:      %{_lib}kf5libkleo_5 < 19.04.3-2

%description -n %libkf5libkleo
This lib provides crypto for mails.

%files -n %libkf5libkleo
%_kf5_libdir/libKF5Libkleo.so.%{kf5libkleo_major}{,.*}

#--------------------------------------------------------------------

%define kf5libkleo_devel %mklibname kf5libkleo -d

%package -n %kf5libkleo_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5libkleo = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5libkleo_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5libkleo_devel
%_kf5_includedir/Libkleo/
%_kf5_includedir/libkleo/
%_kf5_includedir/libkleo_version.h
%_kf5_libdir/libKF5Libkleo.so
%_kf5_libdir/cmake/KF5Libkleo/
%_kf5_mkspecsdir/qt_Libkleo.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name



%changelog
* Fri Dec 11 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1655691
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1644073
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633889
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1627132
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1615000
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604196
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596934
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584581
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1568211
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559400
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1539941
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513376
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1467030
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1457976
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1446719
- New version 19.08.1

* Thu Aug 01 2019 daviddavid <daviddavid> 19.04.3-2.mga8
+ Revision: 1426756
- fix library pkg name (remove unneeded underscore)

* Mon Jul 29 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1425067
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390522
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1387733
- New version 19.03.90

* Sun Mar 31 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1383096
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375730
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365645
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356582
- New version 18.12.1

* Thu Dec 27 2018 daviddavid <daviddavid> 18.12.0-3.mga7
+ Revision: 1345197
- new upstream tarball to initialize default keyfilter mIsDeVs variable

* Wed Dec 19 2018 neoclust <neoclust> 18.12.0-2.mga7
+ Revision: 1342929
- New version 18.12.0

* Sun Nov 25 2018 daviddavid <daviddavid> 18.08.3-2.mga7
+ Revision: 1334052
- rebuild to again enable KF5PimTextEdit support

* Wed Nov 21 2018 neoclust <neoclust> 18.08.3-1.mga7
+ Revision: 1332817
- New version 18.08.3

* Tue Nov 20 2018 daviddavid <daviddavid> 18.08.2-2.mga7
+ Revision: 1332286
- rebuild to enable KF5PimTextEdit support

* Thu Nov 01 2018 neoclust <neoclust> 18.08.2-1.mga7
+ Revision: 1327470
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1298947
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1229112
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1201966
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1194988
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1186530
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 17.08.0-1.mga7
+ Revision: 1143122
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1136883
- New version 17.07.90

* Mon Jul 31 2017 pterjan <pterjan> 17.04.3-2.mga7
+ Revision: 1133083
- Fix for new find_lang
+ neoclust <neoclust>
- Add conflicts to ease upgrade

* Sun Jul 23 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1129546
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090151
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076893
- New version 16.12.0

* Fri Dec 16 2016 daviddavid <daviddavid> 16.11.90-2.mga6
+ Revision: 1075575
- rebuild against current gpgme 1.8.0

* Wed Dec 07 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1073020
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067405
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061468
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050731
- New version 16.08.1

* Tue Aug 23 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1048014
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040134
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012624
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004412
- New version 16.04.0

* Wed Mar 30 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 996863
- imported package libkleo

